Package org.apache.qpid.proton.codec.transport

# Class FlowType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<Flow,List>
org.apache.qpid.proton.codec.transport.FlowType

All Implemented Interfaces:
  `AMQPType<Flow>`, `DescribedTypeConstructor<Flow>`

public final class FlowType extends AbstractDescribedType<Flow,List> implements DescribedTypeConstructor<Flow>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FlowType.FlowWrapper`

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<Flow>`
`getTypeClass()`
`Flow`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected List`
`wrap(Flow val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<Flow,List>`

### wrap

protected List wrap(Flow val)

Specified by:
  `wrap` in class `AbstractDescribedType<Flow,List>`

### newInstance

public Flow newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<Flow>`

### getTypeClass

public Class<Flow> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Flow>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<Flow>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)